using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 自动打印记录
    /// </summary>
    [Description("自动打印记录表")]
   [IgnoreT4]public class T_FM_AUTO_PRINT_RECORD : MesEntityBase
    {
        public T_FM_AUTO_PRINT_RECORD()
        {
            this.PRINT_NUMBER = 1;
            this.PRINT_TIME = DateTime.Now;
        }

        /// <summary>打印机名称</summary>
        [Description("打印机名称")]
        public string PRINTER_NAME { get; set; }

        [Description("打印机主机名")]
        /// <summary>打印机主机名</summary>
        public string PRINTER_COMPUTER_NAME { get; set; }

        [Description("打印模板文件名称")]
        /// <summary>打印模板文件名称</summary>
        public string TEMPLET_FILE_NAME { get; set; }

        [Description("打印来源类型")]
        [EnumName("PFCodeRuleType")]
        /// <summary>打印来源类型 PFCodeRuleType</summary>
        public int SOURCE_TYPE { get; set; }

        [Description("打印来源ID")]
        /// <summary>打印来源ID</summary>
        public Guid? SOURCE_ID { get; set; }

        [Description("打印时间")]
        /// <summary>打印时间</summary>
        public DateTime PRINT_TIME { get; set; }


        [Description("打印张数")]
        /// <summary>打印张数</summary>
        public int PRINT_NUMBER { get; set; }

        [Description("打印状态")]
        /// <summary>打印状态 0-未打印 1-已打印</summary>
        public int PRINT_STATUS { get; set; }


        [Description("REMARK")]
        /// <summary>备注</summary>
        public string REMARK { get; set; }

        /// <summary>
        /// 自动打印明细
        /// </summary>
        [Description("导航：自动打印明细")]
        public virtual ICollection<T_FM_AUTO_PRINT_RECORD_DETAIL> Nav_Details { get; set; }
    }
}
